import type { AsyncStorage, StorageModel } from "../src";
import type { MyExampleExtension } from "./ExampleExtension";
type MyModel = StorageModel<{
    age: number;
    name: string;
    likes: boolean[];
}>;
export declare class ExampleStorage implements AsyncStorage<MyModel, MyExampleExtension> {
    private storage;
    getItem: <K extends "age" | "name" | "likes">(key: K) => Promise<MyModel[K]>;
    setItem: <K extends "age" | "name" | "likes">(key: K, value: MyModel[K]) => Promise<void>;
    removeItem: <K extends "age" | "name" | "likes">(key: K) => Promise<void>;
    getMany: <K extends "age" | "name" | "likes">(keys: K[]) => Promise<{ [k in K]: StorageModel<{
        age: number;
        name: string;
        likes: boolean[];
    }>[k]; }>;
    setMany: <K extends "age" | "name" | "likes">(entries: { [k in K]: StorageModel<{
        age: number;
        name: string;
        likes: boolean[];
    }>[k]; }) => Promise<void>;
    removeMany: <K extends "age" | "name" | "likes">(keys: K[]) => Promise<void>;
    clear: () => Promise<void>;
    ext: MyExampleExtension;
}
export {};
//# sourceMappingURL=ExampleStorage.d.ts.map